<?php

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::get('/privacy-policy', function () {
    return view('policy');
})->name('privacy-policy');
Route::get('/install', function () {
    //    Artisan::call('key:generate');
    Artisan::call('migrate --seed');

    return '<kbd></center><strong><h2>You have successfully installed the application.</h2></strong> <br/> <strong>Login info:</strong> <br/>Admin Email: admin@gmail.com <br/>Admin Pass: 12345678 <br/> User Email: user@gmail.com <br/>User Pass: 12345678 <br/> Staff Email: staff@gmail.com <br/>Staff Pass: 12345678<center></kbd>';
});
Route::get('/migrate', function () {
    Artisan::call('migrate');

    return '<kbd><center><strong><h2>You have successfully migrated the application.</h2></strong></center></kbd>';
});
Route::get('/migrate-refresh', function () {
    Artisan::call('migrate:refresh --seed');

    return '<kbd><center><strong><h2>You have successfully migrated the application.</h2></strong></center></kbd>';
});
